> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vooma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact

<Warning>
  <strong>Beta Feature:</strong> This functionality is currently in beta. You
  may experience changes or limited support as we continue to improve it.
</Warning>


## OpenAPI

````yaml PUT /contacts/{contactId}
openapi: 3.1.0
info:
  title: api
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.vooma.ai/v0
    description: Vooma API
security: []
paths:
  /contacts/{contactId}:
    put:
      tags:
        - Contacts
      operationId: UpdateContact
      parameters:
        - in: path
          name: contactId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContactInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
      security:
        - bearer: []
components:
  schemas:
    UpdateContactInput:
      $ref: '#/components/schemas/VoomaPublicAPIv0.UpdateContactInput'
    Contact:
      $ref: '#/components/schemas/V0Contact.Contact'
    VoomaPublicAPIv0.UpdateContactInput:
      properties:
        contact:
          $ref: '#/components/schemas/ContactData'
      required:
        - contact
      type: object
    V0Contact.Contact:
      $ref: '#/components/schemas/MayHaveID_ContactData_'
    ContactData:
      anyOf:
        - $ref: '#/components/schemas/CarrierContactData'
        - $ref: '#/components/schemas/CustomerContactData'
        - $ref: '#/components/schemas/LocationContactData'
    MayHaveID_ContactData_:
      allOf:
        - properties:
            id:
              type: string
          type: object
        - $ref: '#/components/schemas/ContactData'
    CarrierContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            carrierId:
              type: string
          required:
            - carrierId
          type: object
    CustomerContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            customerId:
              type: string
          required:
            - customerId
          type: object
    LocationContactData:
      $ref: '#/components/schemas/BaseContactData'
    BaseContactData:
      properties:
        name:
          type: string
        phone:
          type: string
        email:
          type: string
        role:
          type: string
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API Key

````